GOLF(2gg)

NAME
break-loop - (program-flow)

PURPOSE
Exit a loop.

SYNTAX

        break-loop

DESCRIPTION
break-loop will exit a loop between start-loop and end-loop, run-query and end-query, or read-line and end-read-line statements. Execution continues right after the end of the loop.

EXAMPLES
Exit the loop after 300 loops:

        set-number max_loop = 300
        start-loop repeat 1000 use i start-with 1
            @Completed <<print-out i>> loops so far
            if-true i equal max_loop
                break-loop
            end-if
        end-loop

SEE ALSO
 Program flow

break-loop call-handler code-blocks continue-loop do-once exit-handler if-defined if-true quit-process return-handler start-loop See all documentation